Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618719 - file conflicts
file conflicts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxfce4ui (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 11:22 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:52 EST (History)
3 users (show)

See Also:
Fixed In Version: libxfce4ui-4.7.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 16:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2010-07-27 11:22:55 EDT
Description of problem:
libxfce4ui conflicts with libxfcegui4:

rpm -qf /etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
libxfcegui4-4.6.4-1.fc13.x86_64
libxfce4ui-4.7.2-1.fc13.x86_64


Version-Release number of selected component (if applicable):
libxfcegui4-4.6.4-1.fc13.x86_64
libxfce4ui-4.7.2-1.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. install xfce
2. try to install libxfce4ui-devel
  
Actual results:
transaction error

Expected results:
both packages installed
Comment 1 Kevin Fenzi 2010-07-27 11:51:40 EDT
Well, libxfce4ui is the new in 4.7/4.8 replacement for libxfcegui4, so it's very understandable that they conflict. ;) 

I guess we could add an explicit conflicts for now until we are landing the 4.8 stack, at which time it should obsoletes/provides the old gui4 package.
Comment 2 Christoph Wickert 2010-07-27 12:10:07 EDT
Uh, I thought I had fixed this. My plan was to remove /etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml for now and make libxfce4ui depend on libxfcegui4 until we can obsolete the latter.
Comment 3 Fedora Update System 2010-07-27 16:48:40 EDT
libxfce4ui-4.7.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libxfce4ui-4.7.2-2.fc13
Comment 4 Christoph Wickert 2010-07-27 16:51:30 EDT
Fixed in rawhide, so I'm closing this. Thanks for your report Jiri!
Comment 5 Fedora Update System 2010-08-13 17:12:33 EDT
libxfce4ui-4.7.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.